Bug 188678 - kernel BUG on pcmcia eject
kernel BUG on pcmcia eject
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 22:03 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 17:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2006-04-11 22:03:31 EDT
Ejecting an orinoco pccard by pushing the eject button (NOT using pccardctl
eject).  The card was up at the time, but nothing was using it (ie no
wpa_supplicant and no NetworkManager were running).


kernel BUG at net/core/dev.c:3139!
invalid opcode: 0000 [#1]
SMP
last sysfs file: /class/net/eth2/flags
Modules linked in: orinoco_cs orinoco hermes arc4 ieee80211_crypt_wep autofs4
i2c_dev i2c_core hidp l2cap bluetooth sunrpc video button battery ac radeon drm
ipv6 lp parport_pc parport floppy uhci_hcd joydev ipw2100 ieee80211 3c59x
snd_intel8x0 snd_ac97_codec ieee80211_crypt mii snd_ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss
snd_pcm snd_timer snd soundcore snd_page_alloc dm_snapshot dm_zero dm_mirror
dm_mod ext3 jbd
CPU:    0
EIP:    0060:[<c05b259d>]    Not tainted VLI
EFLAGS: 00010293   (2.6.16-1.2128_FC6 #1)
EIP is at free_netdev+0x1e/0x3b
eax: 00000002   ebx: dfddc660   ecx: 00000000   edx: c51174c0
esi: dfddc6e4   edi: e0b53c60   ebp: dfe3e7b0   esp: dff2dee8
ds: 007b   es: 007b   ss: 0068
Process pccardd (pid: 326, threadinfo=dff2d000 task=dff45570)
Stack: <0>c05731bc dfddc740 dfddc78c dfddc78c dfddc6e4 e0b53c78 c0545548 dfddc6e4
       000000f0 c06ea180 c0545795 dfddc6e4 c0544edb dfddc6e4 dff045d0 dfe3e95c
       c05442f0 dfddc6e4 dfddc670 c0544328 dfddc660 c057306a 00000000 00000008
Call Trace:
 <c05731bc> pcmcia_device_remove+0x54/0xd7   <c0545548>
__device_release_driver+0x5c/0x74
 <c0545795> device_release_driver+0x2b/0x3a   <c0544edb> bus_remove_device+0x6d/0x7f
 <c05442f0> device_del+0x38/0x68   <c0544328> device_unregister+0x8/0x10
 <c057306a> pcmcia_card_remove+0x7f/0x9a   <c057381b> ds_event+0x34/0x62
 <c056f127> send_event+0x41/0x7e   <c056f32b> socket_shutdown+0xc/0xd8
 <c056f413> socket_remove+0x1c/0x26   <c056f878> pccardd+0x15d/0x207
 <c0403cde> ret_from_fork+0x6/0x14   <c056f71b> pccardd+0x0/0x207
 <c041e64c> default_wake_function+0x0/0xc   <c056f71b> pccardd+0x0/0x207
 <c0402005> kernel_thread_helper+0x5/0xb
Code: b5 e6 ff e8 4c 64 05 00 e9 b3 0a e8 ff 89 c2 8b 80 94 02 00 00 85 c0 75 0d
0f b7 42 64 29 c2 89 d0 e9 41 0f eb ff 83 f8 04 74 08 <0f> 0b 43 0c de 39 65 c0
c7 82 94 02 00 00 05 00 00 00 8d 82 f4
 BUG: pccardd/326, lock held at task exit time!
 [dfe3e8e8] {pcmcia_register_socket}
.. held by:           pccardd:  326 [dff45570, 115]
... acquired at:               pccardd+0x11f/0x207
Comment 1 Chris Ball 2006-04-23 22:55:11 EDT
This is fixed in Linus' tree now (tested locally), as of merge
cb6aef2879b769644b35cffe9844c81c63809c8e.
Comment 2 Jay Fenlason 2007-10-03 16:30:20 EDT
Is this still a problem, or was it fixed as mentioned in comment #1?
Comment 3 Dan Williams 2007-10-03 17:49:44 EDT
pretty sure this doesn't happen any more, I actually just ejected an up orinoco
last night and didn't have problems.

Note You need to log in before you can comment on or make changes to this bug.